Bug 800645 - xchat doesn't run without perl-Time-HiRes
xchat doesn't run without perl-Time-HiRes
Status: NEW
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xchat (Show other bugs)
6.4
x86_64 Linux
unspecified Severity low
: rc
: ---
Assigned To: Debarshi Ray
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-06 15:52 EST by Dominik 'Rathann' Mierzejewski
Modified: 2017-03-01 06:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2012-03-06 15:52:54 EST
Description of problem:
xchat fails to start if perl-Time-HiRes is not installed.

Version-Release number of selected component (if applicable):
xchat-2.8.8-1.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
1. install xchat
2. uninstall perl-Time-HiRes
3. run xchat
  
Actual results:
$ xchat
Can't locate Time/HiRes.pm in @INC (@INC contains: /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5 .) at Xchat.pm line 29.
BEGIN failed--compilation aborted at Xchat.pm line 29.

Expected results:
Successful startup.

Additional info:
$ strings /usr/lib64/xchat/plugins/perl.so |grep HiRes
use Time::HiRes ();
$scripts{$package}{loaded_at} = Time::HiRes::time();

A quick solution would be to add explicit Requires: perl(Time::HiRes) to the spec. A long-term solution would be to fix rpmbuild dependency search script to detect this case.

The problem doesn't manifest on Fedora, because Fedora's perl (in F16 at least) comes with perl-Time-HiRes bundled.
Comment 1 RHEL Product and Program Management 2012-07-10 04:30:31 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 2 RHEL Product and Program Management 2012-07-10 22:04:39 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 3 RHEL Product and Program Management 2012-09-07 01:34:59 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.